import pathlib
from setuptools import setup

# The directory containing this file
HERE = pathlib.Path(__file__).parent

# The text of the README file
README = (HERE / "README.md").read_text()

# This call to setup() does all the work
setup(
    name="darkwood",
    version="1.0.0",
    description="Darkwood python client",
    long_description=README,
    long_description_content_type="text/markdown",
    author="Darkwood",
    author_email="angelo@darkwood.tech",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
    ],
    packages=["darkwood"],
    include_package_data=True,
    install_requires=["requests"],
    entry_points={
        "console_scripts": [
            "darkwood-data=darkwood.__main__:main",
        ]
    },
)
